JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const customCurrencyListResponse of client.v1.credits.customCurrencies.list()) {
console.log(customCurrencyListResponse.id);
}import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1.credits.custom_currencies.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1.Credits.CustomCurrencies.List(context.TODO(), stigg.V1CreditCustomCurrencyListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyListPage;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CustomCurrencyListPage page = client.v1().credits().customCurrencies().list();
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
page = stigg.v1.credits.custom_currencies.list
puts(page)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.CustomCurrencies;
StiggClient client = new();
CustomCurrencyListParams parameters = new();
var page = await client.V1.Credits.CustomCurrencies.List(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}stigg v1:credits:custom-currencies list \
--api-key 'My API Key'curl --request GET \
--url https://api.stigg.io/api/v1/credits/custom-currencies \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/credits/custom-currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "cred-type-credits",
"displayName": "Credits",
"symbol": "CR",
"description": "Prepaid usage credits",
"units": {
"singular": "credit",
"plural": "credits"
},
"metadata": {},
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"archivedAt": null
}
],
"pagination": {
"next": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
"prev": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b"
}
}{
"message": "<string>",
"code": "BadUserInput",
"reason": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Custom currencies
Get a list of custom currencys
Retrieves a paginated list of custom currencies in the environment. Archived currencies are excluded by default; pass status=ARCHIVED (or status=ACTIVE,ARCHIVED) to include them.
GET
/
api
/
v1
/
credits
/
custom-currencies
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const customCurrencyListResponse of client.v1.credits.customCurrencies.list()) {
console.log(customCurrencyListResponse.id);
}import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1.credits.custom_currencies.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1.Credits.CustomCurrencies.List(context.TODO(), stigg.V1CreditCustomCurrencyListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyListPage;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CustomCurrencyListPage page = client.v1().credits().customCurrencies().list();
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
page = stigg.v1.credits.custom_currencies.list
puts(page)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.CustomCurrencies;
StiggClient client = new();
CustomCurrencyListParams parameters = new();
var page = await client.V1.Credits.CustomCurrencies.List(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}stigg v1:credits:custom-currencies list \
--api-key 'My API Key'Authorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Query Parameters
Return items that come after this cursor
Return items that come before this cursor
Maximum number of items to return
Required range:
1 <= x <= 100Filter by custom currency status. Supports comma-separated values (e.g., ACTIVE,ARCHIVED). Defaults to ACTIVE.
Available options:
ACTIVE, ARCHIVED Related topics
List custom currency associated entitiesGet a list of customersGet a list of customer resourcesGet a list of customer integrationsGet a list of contracts